window.MultipleChoiceTestData = {
    // Optional: Wie viele Versuche hat der/die Lernende (Standardwert: Unendlich)
    "maxTries": Infinity,

    // Optional: Soll statt der Anzahl an nötigen Versuchen bewertet werden, wie gut der/die Lernende abschneidet?
    "reportScore": false,

    // Optional: Sollen die Fragen nicht durchgemischt werden?
    "keepOrder": false,

    // Optional: Wie soll bewertet werden?
    // "questions"  → Standardwert, Frage kann entweder richtig sein (1 von 1 Punkt) oder falsch (0 von 1 Punkt)
    // "average"    → Durchschnittlicher Prozentsatz an richtig ausgewählten bzw. richtig nicht ausgewählten Antwortmöglichkeiten pro auswählbaren Antwortmöglichkeiten bei jeder Frage
    // "choices"    → Anteil der richtig ausgewählten Antwortmöglichkeiten pro auswählbaren Antwortmöglichkeiten
    "countMode": "questions",

    // Wie viele Fragen sollen für einen Test gezogen werden?
    "questionsPerTest": 5,

    // Welcher Anteil muss mindestens richtig sein, um zu bestehen?
    "threshold": 0.8,

    // Optional: Begrüßungstext
    "htmlIntro": "<p>Zähle jeweils alle Maschen.</p><p class=\"msg_info\"><span><span>Beachte: Viele gezeigte Schaltungen dürfen <strong>nicht</strong> aufgebaut werden!</span></span><style>figure {text-align:center;} figure img {height:auto;width:auto;max-width:100%;max-height:50vh}</style>",

    // Verfügbare Fragen
    "questions": [],

    // Fragengeneratoren
    "generators": [
        function(arrFragen) {
            var imgs = ['e-3-no-01.svg', 'e-3-ok-01.svg', 'e-3-ok-02.svg', 'e-4-no-01.svg', 'e-5-no-01.svg', 'e-5-no-02.svg', 'e-7-no-01.svg', 'h-3-ok-01.svg', 'h-5-ok-01.svg', 'h-5-ok-02.svg', 'v-1-ok-01.svg', 'v-2-ok-01.svg', 'v-2-ok-03.svg', 'v-2-ok-04.svg', 'v-3-no-01.svg', 'v-3-no-02.svg', 'v-4-no-01.svg', 'v-4-no-02.svg', 'v-4-no-03.svg', 'v-4-no-04.svg', 'v-4-ok-05.svg', 'v-6-no-01.svg'];

            imgs.map(function(src, index) {                          // Aus Dateinamen Fragen zusammenbauen
                var frage = {
                    "keepOrder": true,
                    "singlechoice": true,
                    "choices": [
                        { "html": "Anzahl an Maschen: ", "type": "number", "placeholder": "Anzahl", "min": 0, "step": 1, "correct": true, "selectalways": true }
                    ]
                };
                // Fragentext aufbauen
                frage.html = 'Wie viele Maschen hat folgende Schaltung:<figure><img src="' + src + '" alt="" /></figure>';
                frage.htmlSolution = 'Wie viele Maschen hat folgende Schaltung:<figure><img src="' + src.replace('.svg', '_loesung.svg') + '" alt="" /></figure>';
                frage.choices[0].accept = + src.split('-')[1];
                return frage;
            }).map(function(frage) {                                    // Fragen in Fragensammlung übernehmen
                arrFragen.push(frage)
            });
        }
    ]
}
